<?php

class BlockContacts extends Module
{
    private $_html = '';
    private $_postErrors = array();

    function __construct()
    {
        $this->name = 'BlockContacts';
        $this->tab = 'Blocks';
        $this->version = 0.2;

        parent::__construct();

        $this->displayName = 'Блок Контактов';
        $this->description = 'Отображает контакты со статусами в MailAgent, ICQ и Skype';
    }

    function install()
    {
        parent::install();
	return true;
    }

	public function getContent()
	{
		$output = '<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitBlockContacts'))
		{
				Configuration::updateValue('CONTACTS_ICQ', Tools::getValue('ICQ'));
				Configuration::updateValue('CONTACTS_SKYPE', Tools::getValue('Skype'));
				Configuration::updateValue('CONTACTS_MAGENT', Tools::getValue('MailAgent'));
				Configuration::updateValue('CONTACTS_MAIL', Tools::getValue('Mail'));
				Configuration::updateValue('CONTACTS_PHONE', Tools::getValue('Phone'));
				$output .= '<div class="conf confirm"><img src="../img/admin/ok.gif" alt="'.$this->l('Confirmation').'" />Настройки обновлены</div>';
		}
		return $output.$this->displayForm();
	}

	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
				<label>ICQ</label>
				<div class="margin-form">
					<input type="text" name="ICQ" value="'.Configuration::get('CONTACTS_ICQ').'" />
				</div>
				<label>Skype</label>
				<div class="margin-form">
					<input type="text" name="Skype" value="'.Configuration::get('CONTACTS_SKYPE').'" />
				</div>
				<label>MailAgent</label>
				<div class="margin-form">
					<input type="text" name="MailAgent" value="'.Configuration::get('CONTACTS_MAGENT').'" />
				</div>
				<label>Почта</label>
				<div class="margin-form">
					<input type="text" name="Mail" value="'.Configuration::get('CONTACTS_MAIL').'" />
				</div>
				<label>Телефон</label>
				<div class="margin-form">
					<input type="text" name="Phone" value="'.Configuration::get('CONTACTS_PHONE').'" />
				</div>
				<center><input type="submit" name="submitBlockContacts" value="Сохранить" class="button" /></center>
			</fieldset>
		</form>';
		return $output;
	}

	function hookRightColumn($params)
	{
		global $smarty;
		
		$smarty->assign(array(
			'icq' => Configuration::get('CONTACTS_ICQ'),
			'skype' => Configuration::get('CONTACTS_SKYPE'),
			'magent' =>Configuration::get('CONTACTS_MAGENT'),
			'mail' =>Configuration::get('CONTACTS_MAIL'),
			'phone' =>Configuration::get('CONTACTS_PHONE')
		));

		return $this->display(__FILE__, 'BlockContacts.tpl');
	}
	
	function hookLeftColumn($params)
	{
		return $this->hookRightColumn($params);
	}
}

?>